// From a picture of Galaxy Nasa 724203
// Private share: https://nech.pl/nights-galactic
s0.initImage("https://git.plnech.fr/pln/Hydra/raw/7ab247cae7f562ecc0f1c13a6646e5a71f6c0f1f/StarryNights/img/724203.jpg")
src(s0).out()

src(o0)
.blend(o0)
.blend(src(o1).scale(0.5,0.9).rotate(() => Math.sin(time/900) * 360), 0.25)
.out(o2)

src(o2)
  .modulate(o0,() => Math.sin(time/20) % 2)
  .out(o1)

src(o1)
  .blend(o0)
  .blend(o1,0.3)
  .brightness(0.15).contrast(1.4)
  .scale(() => 1.5 + Math.sin(time/50) * 0.6)
.out(o3)

render(o3)
